Package org.opensaml.saml.saml2.core

# Interface Scoping

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `ScopingImpl`

public interface Scoping extends SAMLObject
SAML 2.0 Core Scoping.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element Local Name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`PROXY_COUNT_ATTRIB_NAME`
ProxyCount attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`IDPList`
`getIDPList()`
Gets the IDPList.
`Integer`
`getProxyCount()`
Gets the ProxyCount attrib value.
`List<RequesterID>`
`getRequesterIDs()`
Gets the list of RequesterID's.
`void`
`setIDPList(IDPList newIDPList)`
Sets the IDPList.
`void`
`setProxyCount(Integer newProxyCount)`
Sets the ProxyCount attrib value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element Local Name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### PROXY_COUNT_ATTRIB_NAME

@Nonnull @NotEmpty static final String PROXY_COUNT_ATTRIB_NAME
ProxyCount attribute name.

See Also:
  - Constant Field Values

## Method Details

### getProxyCount

@Nullable Integer getProxyCount()
Gets the ProxyCount attrib value.

Returns:
  the ProxyCount attrib value

### setProxyCount

void setProxyCount(@Nullable Integer newProxyCount)
Sets the ProxyCount attrib value.

Parameters:
  `newProxyCount` - the new ProxyCount attrib value

### getIDPList

@Nullable IDPList getIDPList()
Gets the IDPList.

Returns:
  IDPList

### setIDPList

void setIDPList(@Nullable IDPList newIDPList)
Sets the IDPList.

Parameters:
  `newIDPList` - the new IDPList

### getRequesterIDs

@Nonnull @Live List<RequesterID> getRequesterIDs()
Gets the list of RequesterID's.

Returns:
  list of RequesterID's